﻿.bs4col-form-label {
  padding-top: calc(0.5rem - 1px * 2);
  padding-bottom: calc(0.5rem - 1px * 2);
  margin-bottom: 0;
  font-weight:bold;
    overflow: hidden;
    white-space:nowrap;
    text-overflow:ellipsis;
}

.bs4col-form-label-lg {
  padding-top: calc(0.75rem - 1px * 2);
  padding-bottom: calc(0.75rem - 1px * 2);
  font-size: 1.25rem;
}

.bs4col-form-label-sm {
  padding-top: calc(0.25rem - 1px * 2);
  padding-bottom: calc(0.25rem - 1px * 2);
  font-size: 0.875rem;
}

.bs4col-form-legend {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  margin-bottom: 0;
  font-size: 1rem;
}

.bs4form-control-static {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  margin-bottom: 0;
  line-height: 1.25;
  border: solid transparent;
  border-width: 1px 0;
}

.bs4form-control {
  display: block;
  width: 100%;
  padding: 1.1rem 0.75rem;
  line-height: 1.25;
  color: #464a4c;
  background-color: #fff;
/*  background-image: none; */
  -webkit-background-clip: padding-box;
          background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0;
  -webkit-transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
  -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
  margin-bottom: 16px;
}

.bs4form-control-error {
    color: #ed5565;
    font-size: 12px;
    margin-top: -17px;
    height: 17px;
}

.bs4form-control::-ms-expand {
  background-color: transparent;
  border: 0;
}

.bs4form-control:focus {
  color: #464a4c;
  background-color: #fff;
  border-color: #5cb3fd;
  outline: none;
}

.bs4form-control::-webkit-input-placeholder {
  color: #636c72;
  opacity: 1;
}

.bs4form-control::-moz-placeholder {
  color: #636c72;
  opacity: 1;
}

.bs4form-control:-ms-input-placeholder {
  color: #636c72;
  opacity: 1;
}

.bs4form-control::placeholder {
  color: #636c72;
  opacity: 1;
}

.bs4form-control:disabled, .form-control[readonly] {
  background-color: #eceeef;
  opacity: 1;
}

.bs4form-control:disabled {
  cursor: not-allowed;
}

bs4select.form-control:not([size]):not([multiple]) {
/*  height: calc(2.25rem + 2px); */
}

bs4select.form-control:focus::-ms-value {
  color: #464a4c;
  background-color: #fff;
}

.bs4form-control-file,
.bs4form-control-range {
  display: block;
}

.bs4nav {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}

.bs4nav-link {
  display: block;
  padding: 0.5em 1em;
}

.bs4nav-link:focus, .nav-link:hover {
  text-decoration: none;
}

.bs4nav-link.disabled {
  color: #636c72;
  cursor: not-allowed;
}

.bs4nav-tabs {
/*  border-bottom: 1px solid #ddd; */
}
.bs4nav-tabs li{border:#dddddf solid 1px;border-bottom:#223038 solid 1px;}
.bs4nav-tabs li:hover, .bs4nav-tabs li.active{border:#223038 solid 1px;border-bottom: #F2F2F2 solid 2px;}
.bs4nav-tabs li a{color:#a1a1a1; text-transform:uppercase;display:block;padding:0.8rem 1.5rem;font-weight:600;}
.bs4nav-tabs li:hover a, .bs4nav-tabs li.active a{text-decoration:none;color:#223038;}

.bs4nav-tabs .nav-item {
  margin-bottom: -1px;
}

.bs4nav-tabs .nav-link {
  border: 1px solid transparent;
  border-top-right-radius: 0.25rem;
  border-top-left-radius: 0.25rem;
}

.bs4nav-tabs .nav-link:focus, .bs4nav-tabs .nav-link:hover {
  border-color: #eceeef #eceeef #ddd;
}

.bs4nav-tabs .nav-link.disabled {
  color: #636c72;
  background-color: transparent;
  border-color: transparent;
}

.bs4nav-tabs .nav-link.active,
.bs4nav-tabs .nav-item.show .nav-link {
  color: #464a4c;
  background-color: #fff;
  border-color: #ddd #ddd #fff;
}

.bs4nav-tabs .dropdown-menu {
  margin-top: -1px;
  border-top-right-radius: 0;
  border-top-left-radius: 0;
}

.bs4nav-pills .nav-link {
  border-radius: 0.25rem;
}

.bs4nav-pills .nav-link.active,
.bs4nav-pills .nav-item.show .nav-link {
  color: #fff;
  cursor: default;
  background-color: #0275d8;
}

.bs4nav-fill .nav-item {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
      -ms-flex: 1 1 auto;
          flex: 1 1 auto;
  text-align: center;
}

.bs4nav-justified .nav-item {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 100%;
      -ms-flex: 1 1 100%;
          flex: 1 1 100%;
  text-align: center;
}

.bs4btn-lg {
    padding: 1.538rem 4.846rem;
  font-size: 1.2rem;
  border-radius: 0;
  border-color: transparent;
}

.bs4cancel-btn {
    border-color: #2b3a44 !important;
}
.bs4cancel-btn:hover { 
    border-color: #91A0AA !important;
}
/*
 * bootstrap-tagsinput v0.8.0
 * 
 */
.bootstrap-tagsinput {
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    display: inline-block;
    padding: 4px 6px;
    color: #555;
    vertical-align: middle;
    border-radius: 4px;
    max-width: 100%;
    line-height: 22px;
    cursor: text;

    width: 100%;
    padding: 1.1rem 0.75rem;
    line-height: 1.25;
    color: #464a4c;
    background-color: #fff;
    /*  background-image: none; */
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0;
    -webkit-transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
    -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
    margin-bottom: 16px;
}
.bootstrap-tagsinput input {
    border: none;
    box-shadow: none;
    outline: none;
    background-color: transparent;
    padding: 0 6px;
    margin: 0;
    width: auto;
    max-width: inherit;
}
.bootstrap-tagsinput.form-control input::-moz-placeholder {
    color: #777;
    opacity: 1;
}
.bootstrap-tagsinput.form-control input:-ms-input-placeholder {
    color: #777;
}
.bootstrap-tagsinput.form-control input::-webkit-input-placeholder {
    color: #777;
}
.bootstrap-tagsinput input:focus {
    border: none;
    box-shadow: none;
}
.bootstrap-tagsinput .tag {
    margin-right: 2px;
    color: white;
}
.bootstrap-tagsinput .tag [data-role="remove"] {
    margin-left: 8px;
    cursor: pointer;
}
.bootstrap-tagsinput .tag [data-role="remove"]:after {
    content: "x";
    padding: 0px 2px;
}
.bootstrap-tagsinput .tag [data-role="remove"]:hover {
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
}
.bootstrap-tagsinput .tag [data-role="remove"]:hover:active {
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
}